<div id="FileTemplate" style="display:none" class="well NrlDialog" data-ng-controller="FileTemplate.PageController" data-on-key-down="navigateBackward()" data-keys="[27]">
    <div data-on-key-down="onEscWhileInDialog()" data-keys="[27]">
        <div data-alert="" data-ng-repeat="alert in pageModel.alerts" data-type="alert.type" data-close="closeAlert($index)">
            <div data-ng-bind-html-unsafe="alert.msg"></div>
        </div>
        <div id="FileTemplate_ControllerGrpFileTemplate" data-ng-controller="FileTemplate.ControllerGrpFileTemplate" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
            <div class="FormArea"  >
                <table>
                    <tr>
                        <td colspan="4" style="width:33%" >
                            <label class="pull-left" for="GrpFileTemplate_itm__name"  data-ng-bind="getALString('Name')"  data-ng-class="!GrpFileTemplate_itm__name_disabled(modelGrpFileTemplate.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4" style="width:33%" >
                            <input name='GrpFileTemplate_itm__name' title='{{"Please Insert Name and Save to Continue"}}' data-ng-model='modelGrpFileTemplate.selectedEntities[0].name' data-np-ui-model='modelGrpFileTemplate.selectedEntities[0]._name' data-ng-change='markEntityAsUpdated(modelGrpFileTemplate.selectedEntities[0],&quot;name&quot;)' data-np-required='true' data-ng-readonly='GrpFileTemplate_itm__name_disabled(modelGrpFileTemplate.selectedEntities[0])' data-np-text='dummy' />
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                    </tr>
                </table>
            </div>
            <div style='margin:1em 0'></div>
            <div id="FileTemplate_ControllerGrpTemplateColumn" data-ng-controller="FileTemplate.ControllerGrpTemplateColumn" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                    <div class="TopGridArea">
                        <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                        <h3>{{getALString(gridTitle())}}</h3>
                    </div>
                    <div data-on-key-down="gridPageDown()" data-keys="[34]">
                        <div id="GrpTemplateColumn_tableId" data-ng-grid="modelGrpTemplateColumn.grid" class="gridStyle">
                        </div>
                    </div>
                </div>
                <div style='margin:1em 0'></div>
                <div class="FormArea" data-ng-show="!GrpTemplateColumn_0_invisible()" >
                    <h3>{{getALString("Important Notes:")}}</h3>
                    <table>
                        <tr>
                            <td colspan="1" style="width:100%" >
                                <div id="noteSave">
                                    For the System Columns to be displayed, Please, Save after entering the Name.
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1" style="width:100%" >
                                <div id="noteIdentifier">
                                    * Parcel Identifier: In case you don't use it, re-type the column name of Parcel Code.
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="1" style="width:100%" >
                                <div id="noteCase">
                                    ** Column names are Case Sensitive.
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div>
            <div class="saveCancel">
                <button  id="saveBtn_id"   data-np-click  ="onSaveBtnAction()" data-ng-class="" 
                data-ng-disabled="saveIsDisabled()"  >
                    <i class="icon save"/>
                    {{getALString(getLabelById('saveBtn_id'))}}
                </button>

                <button  id="cancelBtn_id"   data-np-click  ="onCancelBtnAction()" data-ng-class="" 
                data-ng-disabled="cancelIsDisabled()"  >
                    <i class="icon back"/>
                    {{getALString(getLabelById('cancelBtn_id'))}}
                </button>

            </div>
        </div>
        <div style="clear:both"></div>
    </div>
</div>
